This document provides the minimum desktop and laptop requirements for use of the Flywheel application. If these requirements are not met, any support for issues experienced will be at best effort. This document will be updated regularly.

Minimum Hardware Requirements:

  • 1Ghz Intel Pentium 4 processor or equivalent
  • 4 gigabyte (GB) memory
  • 20 gigabyte (GB) storage
  • WiFi/LAN Connection

Minimum OS Requirements:


Windows:

  • Windows 10 (32-bit or 64-bit)
  • Windows 8.1 Update (32-bit or 64-bit)
  • Windows 7 with SP1 (32-bit or 64-bit)

Mac:

  • OS X Mavericks 10.9
  • OS X Yosemite 10.10
  • OS X El Capitan 10.11
  • macOS Sierra 10.12

Supported Browsers:

  • Chrome – Latest version available from Google

Additional Information:

Along with the above hardware and software requirements, a strong and consistent network connection is required. This can be in the form of WiFi or LAN connectivity. All operating systems and browsers must have the latest updates/patches installed. OS and browser versions that are EOL by the vendor (Microsoft/Google/Apple) are not supported.

Did this answer your question?